#!/bin/bash

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
	set +e
	[ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)
cvs=$(date +%Y%m%d)

cd "$tmp"
wget http://cvs.berlios.de/cvstarballs/at76c503a-cvsroot.tar.gz
tar zxvf at76c503a-cvsroot.tar.gz
mv at76c503a CVS
cvs -d `pwd`/CVS co at76c503a
find at76c503a -type d -name CVS -print0 | xargs -0r rm -rf
tar jcf "$pwd"/at76_usb-cvs-$cvs.tar.bz2 at76c503a/
cd - >/dev/null

