%define cvs 20070323

Summary:   Linux driver for Atmel AT76C503A based USB WLAN adapters
Name:      at76_usb
Version:   0.14
Release:   0.2.%{cvs}cvs%{?dist}
License:   GPL
Group:     System Environment/Kernel 
#Source:    at76_usb-%{version}beta1.tar.gz
Source0:   at76_usb-cvs-20070323.tar.bz2
Source1:   at76_usb-snapshoot.sh
#Patch0:    %{name}-updates.patch
URL:       http://at76c503a.berlios.de/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

provides:  at76_usb-kmod-common = %{version}
Requires:  at76_usb-kmod >= %{version}
Requires:  at76_usb-firmware

%description
This is a driver for the Atmel AT76C503A based USB WLAN adapters.

%prep
%setup -q -n at76c503a


%build


%install
rm -rf $RPM_BUILD_ROOT
cat > at76_usb.modprobe << EOF
# kwizart at76_usb modprobe
# options at76_usb scan_mode=0 auth_mode=1 pm_mode=3 default_iw_mode=2 netdev_name=wlan0
EOF

install -D -p -m 0644 at76_usb.modprobe $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/at76_usb


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING README
%config(noreplace) %{_sysconfdir}/modprobe.d/at76_usb


%changelog
* Fri Jan  5 2007 kwizart < kwizart at gmail .com > - 0.14-0.2.20070323cvs
- Update to cvs 20070323

* Fri Jan  5 2007 kwizart < kwizart at gmail .com > - 0.14-0.1.beta1
- Renewed release only for usb (pci integrate the kernel tree!): 

* Thu May 20 2004 Tim Niemueller <tim@niemueller.de>
- Rebuild for Fedora Core 2
- Package *.ko

* Wed May 05 2004 Tim Niemueller <tim@niemueller.de>
- Added patch that causes installation to /lib/modules/<kernver>/updates/...
  This overrides the drivers that come with the Fedora kernel. Mine are more
  up2date
- Upgraded to 0.12beta11

* Mon Mar 01 2004 Tim Niemueller <tim@niemueller.de>
- Upgrade to 0.12beta7
- Build drivers for Fedora Core 1
- Added README, COPYING and CHANGELOG to doc

* Mon Jul 28 2003 Tim Niemueller <tim@niemueller.de>
- Initial rpm release
- Wrote spec file and compiled for current RedHat 9 kernel

